Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.owasp.dependencycheck.reporting
Enum ReportGenerator.Format

    java.lang.Object
      java.lang.Enum<ReportGenerator.Format>
          org.owasp.dependencycheck.reporting.ReportGenerator.Format

All Implemented Interfaces:
  Serializable, Comparable<ReportGenerator.Format>

Enclosing class:
  ReportGenerator

    public static enum ReportGenerator.Format

extends Enum<ReportGenerator.Format>

An enumeration of the report formats.

Enum Constant Summary
`ALL` Generate all reports.
`HTML` Generate HTML report.
`VULN` Generate HTML Vulnerability report.
`XML` Generate XML report.

Method Summary
`static ReportGenerator.Format` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReportGenerator.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final ReportGenerator.Format ALL

  Generate all reports.

### XML

    public static final ReportGenerator.Format XML

  Generate XML report.

### HTML

    public static final ReportGenerator.Format HTML

  Generate HTML report.

### VULN

    public static final ReportGenerator.Format VULN

  Generate HTML Vulnerability report.

Method Detail

### values

    public static ReportGenerator.Format[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ReportGenerator.Format c : ReportGenerator.Format.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ReportGenerator.Format valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.